Subject: Re: fsl elbc driver causes corruption with bus monitor timeouts while simultaneously access on Nor / Nand mtd partitions

From: Felix Radensky <[email-masked]>
Date: Thu, 14 Apr 2011 15:10:17 +0300

Hi,

Adding linux-mtd list to CC.

On 04/14/2011 10:06 AM, emre kara wrote:

Hi Scott, Roy.
Scott's "mtd: eLBC NAND: increase bus timeout to maximum" patch is excluded from kernel with Roy's "P4080/eLBC: Make Freescale elbc interrupt common to elbc devices" patch. I don't know the reason for it but this causes bus monitor timeouts and corrupts nand flash while using mainline kernel. As I know there is an errata related to this topic, I think "increasing bus timeout to maximum" is a must.
You can easly generate this situation with below commands:

I think Scott's patch was picked up by Artem Bityutskijy into his
tree, but never made it to mainline.

Felix.